export type CheckOptions = {
    path: string;
    entries?: string[] | undefined;
    noDefaultEntries?: boolean | undefined;
    extensions?: string[] | import("./extensions").ExtensionsInput | undefined;
    detective?: string | import("./extensions").Detective | undefined;
    builtins?: boolean | undefined;
};
/**
 * @typedef CheckOptions
 * @property {string} path
 * @property {string[]} [entries]
 * @property {boolean} [noDefaultEntries]
 * @property {import('./extensions').ExtensionsInput|string[]} [extensions]
 * @property {import('./extensions').Detective|string} [detective]
 * @property {boolean} [builtins]
 */
/**
 * @param {CheckOptions} opts
 * @returns {Promise<import('./parse').ParseResult>}
 */
export function check(opts: CheckOptions): Promise<import('./parse').ParseResult>;
//# sourceMappingURL=check.d.ts.map