export type ResolveDefaultEntriesPathsOptions = {
    path: string;
    package: import('read-pkg').NormalizedPackageJson;
};
export type ResolvePathsOptions = {
    path: string;
    package: import('read-pkg').NormalizedPackageJson;
    noDefaultEntries: undefined | boolean;
    entries: undefined | string[];
};
/**
 * @typedef ResolvePathsOptions
 * @property {string} path
 * @property {import('read-pkg').NormalizedPackageJson} package
 * @property {undefined|boolean} noDefaultEntries
 * @property {undefined|string[]} entries
 */
/**
 * @param {ResolvePathsOptions} opts
 * @returns {Promise<string[]>}
 */
export function resolvePaths(opts: ResolvePathsOptions): Promise<string[]>;
//# sourceMappingURL=resolve-paths.d.ts.map